%define module  Text-Aspell
%define name    perl-%{module}
%define version 0.08
%define release %mkrel 2

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Perl interface to the GNU Aspell library
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Text/%{module}-%{version}.tar.bz2
BuildRequires:  perl-devel
BuildRequires:  aspell-devel 
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This module provides a Perl interface to the GNU Aspell library. The GNU Aspell
library provides access to system spelling libraries, including a spell
checker. This module is to meet the need of looking up many words, one at a
time, in a single session.

This is a Perl xs interface which should provide good performance compared to
forking the aspell program for every word.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
#make test

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/Text
%{perl_vendorarch}/auto/Text
%{_mandir}/*/*



%changelog
* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-2mdv2008.0
+ Revision: 90081
- rebuild

* Thu May 03 2007 Olivier Thauvin <nanardon@mandriva.org> 0.08-1mdv2008.0
+ Revision: 22120
- 0.08


* Tue Jul 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2007.0
- New version 0.06

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.05-2mdk
- Fix SPEC according to Perl Policy
    - Source URL
- use mkrel

* Tue Aug 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdk
- New release 0.05
- fix URL source

* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-3mdk 
- better url
- spec cleanup
- don't ship useless empty directories
- disable test, seems to be broken

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 0.04-2mdk
- Rebuild for new perl

* Wed Jun 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.04-1mdk 
- first mdk release

